@echo off
rem PLCOMP.BAT   JAP  17-Jan-92
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
if .%1==. goto usage
if not exist %1.pld goto nofile
if not exist %1.opt goto noopt
if exist %1.rpt del %1.rpt
rem if exist %1.tst del %1.tst
if exist %1.sim del %1.sim
if exist %1.lst del %1.lst
if exist %1.wav del %1.wav
rem Start processing
echo Re-optimizing [%1.opt] into [%1.rpt]
optimize -i %1.opt -o %1.rpt -b 6 %2
if errorlevel 1 goto opterr
echo Generating JEDEC map [%1.jed] from [%1.rpt]
if exist %1.jed del %1.jed
jm -i %1.rpt -l %1.lst -o %1.jed -m
if errorlevel 1 goto maperr
del %1.opt
ren %1.rpt %1.opt
goto complete
:opterr
echo Optimization error
goto batcherr
:maperr
echo JEDEC map generation error
goto batcherr
:usage
echo PLREOPT.BAT = PLPL V2.3 Reoptimisation Batch program
echo        Usage: plreopt srcfile
echo SRCFILE must have extension [.PLD]
goto complete
:nofile
echo File [%1.pld] does not exist
goto complete
:noopt
echo File [%1.opt] does not exist
goto complete
:batcherr
echo Batch processing terminated
:complete
rem delete working files
if exist $_invert del $_invert
if exist $___part del $___part
if exist $new_int del $new_int
if exist $tmp del $tmp
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
if exist %1.rpt del %1.rpt
echo on
