@echo off
rem PLSIM.BAT   TMF 1 Apr 92
rem from JAP's PLSIM.BAT,
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+ August 1988
if .%1==. goto usage
if not exist %1.pld goto nofile
if exist %1.tst del %1.tst
if exist %1.sim del %1.sim
if exist %1.wav del %1.wav
echo Looking for test vectors in [%1.pld]
testv -i %1.pld -o %1.tst
if errorlevel 1 goto novctr
echo Simulating [%1.jed] with vectors in [%1.tst]
sim -i %1.jed %1.tst -o %1.sim
if errorlevel 1 goto simerr
goto status
:simerr
echo Simulation error
goto batcherr
:novctr
echo No test vectors specified
goto complete
:usage
echo PLSIM.BAT = PLPL V2.3 Simulation Batch program
echo        Usage: plsim srcfile
echo SRCFILE must have extension [.PLD]
goto complete
:nofile
echo File [%1.pld] does not exist
goto complete
:batcherr
echo Batch processing terminated
goto complete
:status
echo - Simulation Results   [%1.sim]
:complete
rem remove work files
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
