@echo off
rem PLSIMW.BAT   JAP  14-Jan-92   renamed from plsim.bat by TMF
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
if .%1==. goto usage
if not exist %1.pld goto nofile
rem if exist %1.int del %1.int
rem if exist %1.opt del %1.opt
if exist %1.tst del %1.tst
if exist %1.sim del %1.sim
if exist %1.wav del %1.wav
echo Looking for test vectors in [%1.pld]
testv -i %1.pld -o %1.tst
if errorlevel 1 goto novctr
echo Simulating [%1.jed] with vectors in [%1.tst]
sim -i %1.jed %1.tst -w %1.wav -o %1.sim
if errorlevel 1 goto simerr
rem Concatenate the test vector and JEDEC files
rem echo Combining [%1.jed] with [%1.tst]
rem jm -a %1.jed %1.tst
rem if errorlevel 1 goto caterr
goto status
:simerr
echo Simulation error
goto batcherr
:caterr
echo Cannot concatenate the test vector and JEDEC files
goto batcherr
:novctr
echo No test vectors specified
goto complete
:usage
echo PLSIM.BAT = PLPL V2.3 Simulation Batch program
echo        Usage: plsim srcfile
echo SRCFILE must have extension [.PLD]
goto complete
:nofile
echo File [%1.pld] does not exist
goto complete
:batcherr
echo Batch processing terminated
goto complete
:status
echo - Simulation Results   [%1.sim]
echo - Waveform Output File [%1.wav]
rem echo - JEDEC File w/vectors [%1.jed]
:complete
rem remove work files
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
echo on
