@echo off
rem PLO.BAT   TMF  95-APR-11
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
if .%1==. goto usage
if not exist %1.int goto nofile
rem Start processing
echo Optimizing [%1.int] into [%1.opt]
if exist %1.opt del %1.opt
optimize -i %1.int -o %1.opt -b 6 %2
if not errorlevel 1 goto complete
:opterr
echo Optimization error
goto batcherr
goto complete
:usage
echo PLO.BAT = PLPL V2.3 Optimisation Batch program
echo        Usage: plo srcfile
echo SRCFILE must have extension [.int]
goto complete
:nofile
echo File [%1.int] does not exist
goto complete
:batcherr
echo Batch processing terminated
goto complete
:status
echo [%1.int] optimised
echo - Optimised File       [%1.opt]
:complete
rem delete working files
if exist $_invert del $_invert
if exist $___part del $___part
if exist $new_int del $new_int
if exist $tmp del $tmp
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
echo on
