@echo off
rem PLS.BAT   TMF  1 Apr 92
rem from JAP's PLSIM.BAT
if .%1==. goto usage
if not exist %1.tst goto novctr
if not exist %1.jed goto nojed
if exist %1.sim del %1.sim
echo Simulating [%1.jed] with vectors in [%1.tst]
sim -i %1.jed %1.tst -o %1.sim
if errorlevel 1 goto simerr
goto status
:simerr
echo Simulation error
goto batcherr
:novctr
echo No test vectors file %1.tst
goto complete
:nojed
echo No fuse file %1.jed
goto complete
:usage
echo PLS.BAT = PLPL V2.3 Simulation Batch program
echo        Usage: pls srcfile
echo SRCFILE must have extension [.PLD]
goto complete
:batcherr
echo Batch processing terminated
goto complete
:status
echo - Simulation Results   [%1.sim]
:complete
rem remove work files
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
